export declare type BodySource = Blob | BufferSource | FormData | URLSearchParams | ReadableStream | String;
export default class BodyMixin implements Body {
    protected bodySource: BodySource;
    protected stream: ReadableStream | null;
    constructor(obj: BodySource);
    readonly body: ReadableStream | null;
    readonly bodyUsed: boolean;
    blob(): Promise<Blob>;
    formData(): Promise<FormData>;
    text(): Promise<string>;
    json(): Promise<any>;
    arrayBuffer(): Promise<ArrayBuffer>;
}
